Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.dataset

Multi-purpose dataset container with support for attributes.

Functions

`datasetmethod`(func) | Decorator to easily bind functions to an AttrDataset class
`hstack`(datasets) | Stacks datasets horizontally (appending features).
`is_datasetlike`(obj) | Check if an object looks like a Dataset.
`save`(dataset, destination[, name, compression]) | Save Dataset into HDF5 file :Parameters: dataset : `Dataset` destination : `h5py.highlevel.File` or str name : str, optional compression : None or int or {‘gzip’, ‘szip’, ‘lzf’}, optional Level of compression for gzip, or another compression strategy.
`vstack`(datasets) | Stacks datasets vertically (appending samples).

Classes

`AttrDataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`DAE` | Helper to extract arbitrary attributes from dataset collections.
`DatasetAttributeExtractor`(col, key) | Helper to extract arbitrary attributes from dataset collections.
`DatasetAttributesCollection`([items]) | Container for attributes of datasets (i.e.
`FeatureAttributesCollection`([items, length]) | Container for attributes of features ..
`SampleAttributesCollection`([items, length]) | Container for attributes of samples (i.e.

Exceptions

`AttrDataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`DAE` | Helper to extract arbitrary attributes from dataset collections.
`DatasetAttributeExtractor`(col, key) | Helper to extract arbitrary attributes from dataset collections.
`DatasetAttributesCollection`([items]) | Container for attributes of datasets (i.e.
`FeatureAttributesCollection`([items, length]) | Container for attributes of features ..
`SampleAttributesCollection`([items, length]) | Container for attributes of samples (i.e.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »